# valuedescblinelink.cpp File Reference

Template File. More...

`#include "layerparamconnect.h"`
`#include "valuenodelinkconnect.h"`
`#include "valuenodereplace.h"`
`#include "valuedescblinelink.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_const.h>`
`#include <synfig/valuenode_composite.h>`
`#include <synfig/valuenode_blinecalctangent.h>`
`#include <synfig/valuenode_blinecalcvertex.h>`
`#include <synfig/valuenode_blinecalcwidth.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::ValueDescBLineLink)
| ACTION_SET_NAME (Action::ValueDescBLineLink,"ValueDescBLineLink")
| ACTION_SET_LOCAL_NAME (Action::ValueDescBLineLink, N_("Link to BLine"))
| ACTION_SET_TASK (Action::ValueDescBLineLink,"connect")
| ACTION_SET_CATEGORY (Action::ValueDescBLineLink, Action::CATEGORY_BEZIER)
| ACTION_SET_PRIORITY (Action::ValueDescBLineLink, 0)
| ACTION_SET_VERSION (Action::ValueDescBLineLink,"0.0")
| ACTION_SET_CVS_ID (Action::ValueDescBLineLink,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::ValueDescBLineLink |  | ) |

ACTION_SET_NAME | ( | Action::ValueDescBLineLink | ,
|  | "ValueDescBLineLink" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ValueDescBLineLink | ,
|  | N_("Link to BLine") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ValueDescBLineLink | ,
|  | "connect" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ValueDescBLineLink | ,
|  | Action::CATEGORY_BEZIER |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ValueDescBLineLink | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ValueDescBLineLink | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ValueDescBLineLink | ,
|  | "$Id$" |  |
| ) |  |  |